> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Board Guideline Priority

> Update the priority of a linked guideline on a board.



## OpenAPI

````yaml /openapi.json patch /api/v1/boards/{board_id}/guidelines/{guideline_id}
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/boards/{board_id}/guidelines/{guideline_id}:
    patch:
      tags:
        - guidelines
      summary: Update Board Guideline Priority
      description: Update the priority of a linked guideline on a board.
      operationId: >-
        update_board_guideline_priority_api_v1_boards__board_id__guidelines__guideline_id__patch
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
        - in: path
          name: guideline_id
          required: true
          schema:
            title: Guideline Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: true
              title: Data
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````